Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038099
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2018-03-12 08:342018-06-22 12:50
ReporteralostaleView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision9ef9e20d439e
ProjectionnoneETAnoneTarget Version3.0PR18Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038099: upgrade from <3.0PR15Q4 preserves old pool config

DescriptionWhen updating an instance from <3.0PR15Q4, if it used old Apache Commons DBCP pool, the upgrader keeps that configuration.

This configuration should be automatically replaced to use newer Tomcat pool.
Steps To ReproduceUpgrade an instance and check it continues using old pool
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00295643.0PR15Q4 closedinigosanchez Include Connection Pool module into distribution 
related to defect 0037532 acknowledgedplatform SessionHandler creates session without setting a connection when not using the Tomcat pool 

-  Notes
(0105150)
hgbot (developer)
2018-06-14 18:16

Repository: erp/devel/pi
Changeset: 9ef9e20d439e7ea5c450306873f5955100ea193d
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Mon Jun 11 14:26:36 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9ef9e20d439e7ea5c450306873f5955100ea193d [^]

Fixed issue 38099: Upgrade from <3.0PR15.4 preserves old pool configuration.

3.0PR15.4 includes the Apache JDBC connection pool module as part of Openbravo
distribution and is set as the default DB pool. This changeset enforces upgrading
to the new pool instead of preserving the old Apache commons pool.
This implementation has been tested in the following scenarios:
- From an 3.0PR15Q3 instance with the parameter db.externalPoolClassName not set
or empty: After the upgrade the parameter should refer to the bundled Apache JDBC
pool module.
- From an 3.0PR15Q3 instance with the parameter db.externalPoolClassName set:
Property db.externalPoolClassName should be left as-is.
- Upgrading from a newer version (e.g. 3.0PR16Q1): This validation should not be
executed.

---
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/CheckUpdateConnectionPoolMerge.class
M src-util/buildvalidation/src/org/openbravo/buildvalidation/CheckUpdateConnectionPoolMerge.java
R src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/CheckUpdateConnectionPoolMergeData.class
R src-util/buildvalidation/src/org/openbravo/buildvalidation/CheckUpdateConnectionPoolMerge_data.xsql
---
(0105179)
hudsonbot (developer)
2018-06-15 12:13

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dd9c57666e17 [^]
Maturity status: Test
(0105340)
caristu (developer)
2018-06-22 12:50

Code reviewed + tested OK.

- Issue History
Date Modified Username Field Change
2018-03-12 08:34 alostale New Issue
2018-03-12 08:34 alostale Assigned To => platform
2018-03-12 08:34 alostale Modules => Core
2018-03-12 08:34 alostale Triggers an Emergency Pack => No
2018-03-12 09:05 alostale Relationship added related to 0029564
2018-05-21 09:04 alostale Target Version => 3.0PR18Q3
2018-05-25 14:07 caristu Relationship added related to 0037532
2018-06-11 09:05 jarmendariz Assigned To platform => jarmendariz
2018-06-12 13:05 jarmendariz Status new => scheduled
2018-06-12 13:06 jarmendariz Review Assigned To => caristu
2018-06-14 18:16 hgbot Checkin
2018-06-14 18:16 hgbot Note Added: 0105150
2018-06-14 18:16 hgbot Status scheduled => resolved
2018-06-14 18:16 hgbot Resolution open => fixed
2018-06-14 18:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9ef9e20d439e7ea5c450306873f5955100ea193d [^]
2018-06-15 12:13 hudsonbot Checkin
2018-06-15 12:13 hudsonbot Note Added: 0105179
2018-06-22 12:50 caristu Note Added: 0105340
2018-06-22 12:50 caristu Status resolved => closed
2018-06-22 12:50 caristu Fixed in Version => 3.0PR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker